### Property

# Ide EditorSearch:regex-enabled

#### Declaration

    property regex-enabled: gboolean [ read, write ]

#### Description

The “regex-enabled” property determines if `GRegex` should be used to scan for the `IdeEditorSearch:search-text`. Doing so allows the user to search using common regex values such as “foo.*bar”. It also allows for capture groups to be used in replacement text.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_editor_search_set_regex_enabled()`
Getter method | `ide_editor_search_get_regex_enabled()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no